{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
        </div>
        <div>
            {% if not tasks %}
                <p>You have no tasks</p>
            {% else %}
        </div>
        <div>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start Date</th>
                        <th>Due Date</th>
                        <th>Is Completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in tasks %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed }}</td>
                        </tr>
                </tbody>
                    {% endfor %}
            {% endif %}
            </table>
        </div>
    </main>
{% endblock content %}
